Database versions supported by Data Explorer

Abstract: RAD PHP XE2 supports the same databases that DBExpress supports with Rad Studio XE

The Data Explorer in RadPHP XE2 supports the following Database Servers

  • InterBase 2009, 2007, 7.5.1, 7.1*, 8.0*, 6.5* (All) (Driver dbxINT.dll, Client GDS32.DLL)
  • Firebird 2.1, 1.5 (Ent) (Driver dbxfb.dll, Client fbclient.dll)
  • Sybase SQL Anywhere 11, 10, 9, 8*, (Ent) (Driver dbxASA.dll, Client dbodbc*.dll)
  • DB2 UDB 9.5, 9.1, 8.x*, 7.x* (Ent) (Driver dbxDB2.dll, Client db2cli.dll)
  • Informix 9.x (Ent) (Driver dbxINF.dll, Client isqlb09a.dll)
  • Microsoft SQL Server 2008, 2005, 2000 (Ent) (Driver dbxMSS.dll, Client sqlncli10.dll)
  • MySQL 5.1, 5.0.27, 4.1* (All) (Driver dbxMYS.dll, Client libmysql.dll)
  • Oracle 11g, 10g, 9.2.0*, 9.1.0* (Ent) (Driver dbxora.dll, Client OCI.DLL)
  • Sybase ASE 12.5 (Ent) (Driver dbxASE.dll, Client libct.dll & libcs.dll)

* Driver not fully certified with this version of the database.

For MySQL Connections, the following Client to Server combinations have been tested:


LibMySQL.dll (5.1.XX) DBXMys.dll MySQL 4.0.XX Server
LibMySQL.dll (5.1.XX) DBXMys.dll MySQL 4.0.XX Server
LibMySQL.dll (5.1.XX) DBXMys.dll MySQL 5.0.XX Server
LibMySQL.dll (5.1.XX) DBXMys.dll MySQL 5.1.XX Server